Name:           docker-storage-setup
Version:        0.0.4
Release:        2%{?dist}
Summary:        A simple service to setup docker storage devices

License:        ASL 2.0
URL:            http://github.com/projectatomic/docker-storage-setup/
Source0:        https://github.com/projectatomic/docker-storage-setup/archive/%{name}-%{version}.tar.gz

BuildArch:      noarch
BuildRequires:  pkgconfig(systemd)

Requires:       lvm2
Requires:       cloud-utils-growpart
Requires:       systemd-units
# systemd_requires macro doesn't work here because the srpm build fails?
Requires(post): systemd
Requires(preun): systemd
Requires(postun): systemd

%description
This is a simple service to divide available storage between
the OS and docker using LVM devices.

%prep
%setup

%build

%install
install -d %{buildroot}%{_bindir}
install -p -m 755 docker-storage-setup.sh %{buildroot}%{_bindir}/docker-storage-setup
install -d %{buildroot}%{_unitdir}
install -p -m 644 docker-storage-setup.service %{buildroot}%{_unitdir}
# install -d %{buildroot}%{_sysconfdir}/sysconfig/
# install -p -m 644 %{SOURCE2} %{buildroot}%{_sysconfdir}/sysconfig/docker-storage-setup

%post
%systemd_post %{name}.service

%preun
%systemd_preun %{name}.service

%postun
%systemd_postun %{name}.service

%files
%{_unitdir}/docker-storage-setup.service
%{_bindir}/docker-storage-setup
# %{_sysconfdir}/sysconfig/docker-storage-setup

%changelog
* Tue Feb 17 2015 Colin Walters <walters@redhat.com> - 0.0.4-2
- New upstream version; uses LVM-managed thin pools by default
  Resolves: rhbz#1193610

* Fri Dec 19 2014 Colin Walters <walters@redhat.com> - 0.0.3-2
- Rebuild for 7.1

* Tue Oct 28 2014 Andy Grimm <agrimm@redhat.com> - 0.0.3-1
- Resolves: rhbz#1156656

* Thu Oct 23 2014 Andy Grimm <agrimm@redhat.com> - 0.0.2-1
- version bump, fix default use case

* Wed Oct 22 2014 Colin Walters <walters@redhat.com> - 0.0.1-4
- Strip trailing whitespace

* Wed Oct 22 2014 Colin Walters <walters@redhat.com> - 0.0.1-3
- Fix service ordering

* Thu Oct 16 2014 Andy Grimm <agrimm@redhat.com> - 0.0.1-1
- Fix rpm scripts

* Thu Oct 16 2014 Andy Grimm <agrimm@redhat.com> - 0.0.1-1
- Initial build

